<?php
/**
* @version 			SEBLOD 3.x More
* @package			SEBLOD (App Builder & CCK) // SEBLOD nano (Form Builder)
* @url				http://www.seblod.com
* @editor			Octopoos - www.octopoos.com
* @copyright		Copyright (C) 2013 SEBLOD. All Rights Reserved.
* @license 			GNU General Public License version 2 or later; see _LICENSE.php
**/

defined( '_JEXEC' ) or die;

// -- Initialize
require_once dirname(__FILE__).'/config.php';
$cck	=	CCK_Rendering::getInstance( $this->template );
if ( $cck->initialize() === false ) { return; }

// -- Prepare
$class			=	trim( $cck->getStyleParam( 'class', '' ) );
$class			=	$class ? ' class="'.$class.'"' : '';
$display_mode	=	(int)$cck->getStyleParam( 'list_display', '0' );
$html			=	'';
$items			=	$cck->getItems();
$fieldnames		=	$cck->getFields( 'element', '', false );
$multiple		=	( count( $fieldnames ) > 1 ) ? true : false;
$count			=	count( $items );
$auto_clean		=	( $count == 1 ) ? $cck->getStyleParam( 'auto_clean', 0 ) : 0;

// -- Render
if ( $cck->id_class ) {
?>
<div class="<?php echo trim( $cck->id_class ); ?>"><?php }
if ( !$auto_clean ) { ?>
<?php echo $class; ?>
<?php }
	if ( $count ) {
		if ( $display_mode == 2 ) {
			foreach ( $items as $item ) {
				$row	=	$item->renderPosition( 'element' );
				if ( $row ) {
					$row	=	'<li><b>'.$row.'</b></li>';
				}
				
				$html	.=	$row;
			}
		} elseif ( $display_mode == 1 ) {
			foreach ( $items as $pk=>$item ) {
				$row	=	$cck->renderItem( $pk );
				if ( $row && !$auto_clean ) {
					$row	=	'<li>'.$row.'</b></li>';
				}
				$html	.=	$row;
			}
		} else {
			foreach ( $items as $item ) {
				$row	=	'';
				foreach ( $fieldnames as $fieldname ) {
					$content	=	$item->renderField( $fieldname );
					if ( $content != '' ) {
						if ( $item->getMarkup( $fieldname ) != 'none' && ( $multiple || $item->getMarkup_Class( $fieldname ) ) ) {
							$row	.=	$item->getMarkup_Class( $fieldname ).$content;
						} else {
							$row	.=	$content;
						}
					}
				}
				/** Standard Output by modify with Typo Plugin **/
				if ( $row && !$auto_clean ) {
					/* Array single item output XML */
					$row	=	'<item>'.$row.'</item>';
				}
	            $html	.=	$row;
			}
		}
		
		/******* Start Modi for XML Output ******/
		
			// Start & End off XML Markup
			$xml_start_tag = '<rss version="2.0"><channel>';
			$xml_end_tag = '</channel></rss>';
			
			//  Central Meta Information of RSS Feed
				// Required
				$rss_title = '<title>'.'Your Title of your Feed'.'</title>';
				$rss_central_url = '<link>'.'Your Main URL'.'</link>';
				$rss_description = '<description>'.'Your Description'.'</description>';
				// Optional
				$rss_lang = '<language>'.'de-de'.'</language>';
				// Combinate Central RSS Meta Information
				$rss_central_meta = $rss_title.$rss_central_url.$rss_description.$rss_lang;
			
		
			// All Output
			echo 	$xml_start_tag.$rss_central_meta.$html.$xml_end_tag;
		
		/******* End Modi for XML Output ******/
	}
if ( !$auto_clean ) {
?>

<?php
}
if ( $cck->id_class ) { ?>
</div>
<?php } ?>
<?php
// -- Finalize
$cck->finalize();
?>